<?php

///////////////////////////////////////////////
// Teendők

function teendot_valtoztat($kapcsolat, $teendo_id, $felhasznalo_id) {
  return vegrehajtas($kapcsolat, 
    'UPDATE `teendok` SET `kesz` = NOT `kesz` WHERE id = :id AND felhasznalo_id = :felhasznalo_id',
    [ 
      ':id' => $teendo_id,
      ':felhasznalo_id' => $felhasznalo_id, 
    ]
  );
}

function uj_teendo_mentese($kapcsolat, $uj_teendo, $felhasznalo_id) {
  return vegrehajtas($kapcsolat, 
    'INSERT INTO `teendok` (`nev`, `felhasznalo_id`) VALUES (:nev, :felhasznalo_id)',
    [ 
      ':nev' => $uj_teendo,
      ':felhasznalo_id' => $felhasznalo_id, 
    ]
  );
}

function teendok_felhasznalo_szerint($kapcsolat, $felhasznalo_id) {
  return lekerdezes($kapcsolat, 
    "SELECT * FROM `teendok` WHERE `felhasznalo_id` = :felhasznalo_id",
    [ ":felhasznalo_id" => $felhasznalo_id ]
  );
}
